SDL_msctf.h File Reference
`#include <unknwn.h>`
Include dependency graph for SDL_msctf.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | ITfThreadMgrVtbl
struct | ITfThreadMgr
struct | ITfThreadMgrExVtbl
struct | ITfThreadMgrEx
struct | ITfDocumentMgrVtbl
struct | ITfDocumentMgr
struct | ITfUIElementSinkVtbl
struct | ITfUIElementSink
struct | ITfUIElementMgrVtbl
struct | ITfUIElementMgr
struct | ITfCandidateListUIElementVtbl
struct | ITfCandidateListUIElement
struct | ITfReadingInformationUIElementVtbl
struct | ITfReadingInformationUIElement
struct | ITfUIElementVtbl
struct | ITfUIElement
struct | ITfInputProcessorProfileActivationSinkVtbl
struct | ITfInputProcessorProfileActivationSink
struct | ITfSourceVtbl
struct | ITfSource

## Macros

#define | TF_INVALID_COOKIE (0xffffffff)
#define | TF_IPSINK_FLAG_ACTIVE 0x0001
#define | TF_TMAE_UIELEMENTENABLEDONLY 0x00000004

## Typedefs

typedef struct ITfClientId | ITfClientId
typedef struct IEnumTfDocumentMgrs | IEnumTfDocumentMgrs
typedef struct IEnumTfFunctionProviders | IEnumTfFunctionProviders
typedef struct ITfFunctionProvider | ITfFunctionProvider
typedef struct ITfCompartmentMgr | ITfCompartmentMgr
typedef struct ITfContext | ITfContext
typedef struct IEnumTfContexts | IEnumTfContexts
typedef struct IEnumTfUIElements | IEnumTfUIElements
typedef DWORD | TfClientId
typedef DWORD | TfEditCookie

## Macro Definition Documentation

#define TF_INVALID_COOKIE (0xffffffff)

Definition at line 27 of file SDL_msctf.h.

#define TF_IPSINK_FLAG_ACTIVE 0x0001

Definition at line 28 of file SDL_msctf.h.

#define TF_TMAE_UIELEMENTENABLEDONLY 0x00000004

Definition at line 29 of file SDL_msctf.h.

## Typedef Documentation

typedef struct IEnumTfContexts IEnumTfContexts

Definition at line 40 of file SDL_msctf.h.

typedef struct IEnumTfDocumentMgrs IEnumTfDocumentMgrs

Definition at line 35 of file SDL_msctf.h.

typedef struct IEnumTfFunctionProviders IEnumTfFunctionProviders

Definition at line 36 of file SDL_msctf.h.

typedef struct IEnumTfUIElements IEnumTfUIElements

Definition at line 44 of file SDL_msctf.h.

typedef struct ITfClientId ITfClientId

Definition at line 33 of file SDL_msctf.h.

typedef struct ITfCompartmentMgr ITfCompartmentMgr

Definition at line 38 of file SDL_msctf.h.

typedef struct ITfContext ITfContext

Definition at line 39 of file SDL_msctf.h.

typedef struct ITfFunctionProvider ITfFunctionProvider

Definition at line 37 of file SDL_msctf.h.

typedef DWORD TfClientId

Definition at line 51 of file SDL_msctf.h.

typedef DWORD TfEditCookie

Definition at line 52 of file SDL_msctf.h.